org.deidentifier.arx.gui.view.impl.menu

## Class EditorSelection

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorSelection

All Implemented Interfaces:
  IEditor<java.lang.String>

    public abstract class EditorSelection
    extends java.lang.Object
    implements IEditor<java.lang.String>

### Constructor Summary

Constructors
Constructor and Description
`EditorSelection(org.eclipse.swt.widgets.Composite composite, java.lang.String[] elems)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accepts(java.lang.String s)` Does the editor accept the value.
`void` `createControl(org.eclipse.swt.widgets.Composite parent)` Creates an according control.
`java.lang.String` `getCategory()` Returns the category.
`org.eclipse.swt.widgets.Control` `getControl()`
`java.lang.String` `getLabel()` Returns the label.
`void` `update()` Update.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.deidentifier.arx.gui.view.def.IEditor

`getValue, isDifferent, setValue`

### Constructor Detail

#### EditorSelection

    public EditorSelection(org.eclipse.swt.widgets.Composite composite,
                           java.lang.String[] elems)

Parameters:
  `composite` -
  `elems` -

### Method Detail

#### accepts

    public boolean accepts(java.lang.String s)

Description copied from interface: `IEditor`
Does the editor accept the value.

Specified by:
  `accepts` in interface `IEditor<java.lang.String>`
Returns:

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

Description copied from interface: `IEditor`
Creates an according control.

Specified by:
  `createControl` in interface `IEditor<java.lang.String>`

#### getCategory

    public java.lang.String getCategory()

Description copied from interface: `IEditor`
Returns the category.

Specified by:
  `getCategory` in interface `IEditor<java.lang.String>`
Returns:

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

Returns:

#### getLabel

    public java.lang.String getLabel()

Description copied from interface: `IEditor`
Returns the label.

Specified by:
  `getLabel` in interface `IEditor<java.lang.String>`
Returns:

#### update

    public void update()

Update.